[arch-commits] Commit in squeeze/trunk (PKGBUILD squeeze.install)

Jan de Groot jgc at archlinux.org
Fri Jul 18 20:13:17 EDT 2008


    Date: Friday, July 18, 2008 @ 20:13:17
  Author: jgc
Revision: 5634

upgpkg: squeeze 0.2.3-2

Modified:
  squeeze/trunk/PKGBUILD
  squeeze/trunk/squeeze.install

-----------------+
 PKGBUILD        |    8 ++++----
 squeeze.install |    5 -----
 2 files changed, 4 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-07-19 00:10:47 UTC (rev 5633)
+++ PKGBUILD	2008-07-19 00:13:17 UTC (rev 5634)
@@ -3,14 +3,14 @@
 
 pkgname=squeeze
 pkgver=0.2.3
-pkgrel=1
+pkgrel=2
 pkgdesc="Squeeze is a modern and advanced archive manager for the Xfce Desktop Environment."
 arch=('i686' 'x86_64')
 license=('GPL2')
 url="http://squeeze.xfce.org/"
 groups=('xfce4')
 depends=('thunar')
-makedepends=('pkgconfig' 'tar')
+makedepends=('pkgconfig' 'tar' 'desktop-file-utils')
 options=('!libtool')
 conflicts=('squeeze-svn')
 install=${pkgname}.install
@@ -20,7 +20,7 @@
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib/xfce4 \
-    --localstatedir=/var --disable-static
+    --localstatedir=/var --disable-static || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${startdir}/pkg install || return 1
 }

Modified: squeeze.install
===================================================================
--- squeeze.install	2008-07-19 00:10:47 UTC (rev 5633)
+++ squeeze.install	2008-07-19 00:13:17 UTC (rev 5634)
@@ -18,8 +18,3 @@
   update-desktop-database -q
   gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
 }
-
-op=$1
-shift
-
-$op $*





More information about the arch-commits mailing list